Overview
Comment: | Updated Mac OS X support (7.7.0 with gcc 3.3 now works) Added a --enable-small that disables a few options to make a smaller library. Updated win32 build to make an i386 object explicitly (this may have been the default) libconfig 0.1.15 |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk | 0.1.15 |
Files: | files | file ages | folders |
SHA1: |
0febd33a2d43ab758a8f48a4fd7b3467 |
User & Date: | rkeene on 2004-12-25 19:45:14 |
Other Links: | manifest | tags |
Context
2004-12-25
| ||
20:00 | Fixed last fix for Mac OS X shared libraries, oops. libconfig 0.1.16 check-in: 4d7bd96b4e user: rkeene tags: 0.1.16, trunk | |
19:45 | Updated Mac OS X support (7.7.0 with gcc 3.3 now works) Added a --enable-small that disables a few options to make a smaller library. Updated win32 build to make an i386 object explicitly (this may have been the default) libconfig 0.1.15 check-in: 0febd33a2d user: rkeene tags: 0.1.15, trunk | |
2004-12-20
| ||
00:49 | Fixed typo where getpwuid was checked for twice. check-in: cb1b3fadc8 user: rkeene tags: trunk | |
Changes
Modified aclocal.m4 from [3372e960c9] to [ee1f9b6916].
︙ | |||
65 66 67 68 69 70 71 | 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 | + + + - - + + + + + | DC_TEST_SHOBJFLAGS([-fPIC -DPIC], [-shared], [ DC_TEST_SHOBJFLAGS([-fPIC -DPIC], [-shared -rdynamic -mimpure-text], [ DC_TEST_SHOBJFLAGS([-fPIC -DPIC], [-shared -mimpure-text], [ DC_TEST_SHOBJFLAGS([-fPIC -DPIC], [-shared -rdynamic -Wl,-G,-z,textoff], [ DC_TEST_SHOBJFLAGS([-fPIC -DPIC], [-shared -Wl,-G,-z,textoff], [ DC_TEST_SHOBJFLAGS([-fPIC -DPIC], [-shared -dynamiclib -flat_namespace -undefined suppress -bind_at_load], [ DC_TEST_SHOBJFLAGS([-fPIC -DPIC], [-dynamiclib -flat_namespace -undefined suppress -bind_at_load], [ DC_TEST_SHOBJFLAGS([-fPIC -DPIC], [-Wl,-dynamiclib -Wl,-flat_namespace -Wl,-undefined,suppress -Wl,-bind_at_load], [ DC_TEST_SHOBJFLAGS([-fPIC -DPIC], [-dynamic -flat_namespace -undefined suppress], [ DC_TEST_SHOBJFLAGS([-fPIC -DPIC], [-dynamic], [ |
︙ | |||
180 181 182 183 184 185 186 | 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 | - + + + + + + + + + + + + + + + + + + + | if test -n "$7"; then AC_DEFINE($7, [1], [Define to 1 if you have the <$3> header file.]) fi if test -n "$6"; then AC_DEFINE($6, [1], [Define to 1 if you have $2 from $5]) fi LDFLAGS="$LDFLAGS $LIBSPECFLAGS" |
Modified build/build_win32.sh from [7d910d6991] to [3cdf4bc8d5].
1 2 3 4 | 1 2 3 4 5 6 7 8 9 10 11 12 | - + | #! /bin/sh if [ ! -x configure ]; then cd ../; fi WIN32="${HOME}/root/windows-i386" |
︙ |
Modified config.h.in from [105e0ec8a5] to [003ec03eae].
1 2 3 4 5 6 7 8 | 1 2 3 4 5 6 7 8 9 10 11 | + + + | /* config.h.in. Generated from configure.ac by autoheader. */ /* Define to 1 if you want to produce a minimalistic build. */ #undef ENABLE_SMALL /* Define to 1 if you have the <ctype.h> header file. */ #undef HAVE_CTYPE_H /* Define to 1 if you have the <dirent.h> header file. */ #undef HAVE_DIRENT_H |
︙ |
Modified configure from [6843199f78] to [b1456b5c41].
1 2 3 | 1 2 3 4 5 6 7 8 9 10 11 | - + | #! /bin/sh # From configure.ac Revision . # Guess values for system-dependent variables and create Makefiles. |
︙ | |||
264 265 266 267 268 269 270 | 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 | - - + + | # This variable seems obsolete. It should probably be removed, and # only ac_max_sed_lines should be used. : ${ac_max_here_lines=38} # Identity of this package. PACKAGE_NAME='libconfig' PACKAGE_TARNAME='libconfig' |
︙ | |||
774 775 776 777 778 779 780 | 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 | - + | # # Report the --help message. # if test "$ac_init_help" = "long"; then # Omit some internal or obsolete options to make the list less imposing. # This message is too long to be a string in the A/UX 3.1 sh. cat <<_ACEOF |
︙ | |||
835 836 837 838 839 840 841 | 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 | - + + + + + + - + | --build=BUILD configure for building on BUILD [guessed] --host=HOST cross-compile to build programs to run on HOST [BUILD] _ACEOF fi if test -n "$ac_init_help"; then case $ac_init_help in |
︙ | |||
951 952 953 954 955 956 957 | 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 | - + - + | cd $ac_popdir done fi test -n "$ac_init_help" && exit 0 if $ac_init_version; then cat <<\_ACEOF |
︙ | |||
15226 15227 15228 15229 15230 15231 15232 15233 15234 15235 15236 15237 15238 15239 | 15231 15232 15233 15234 15235 15236 15237 15238 15239 15240 15241 15242 15243 15244 15245 15246 15247 15248 15249 15250 15251 15252 15253 15254 15255 15256 15257 15258 15259 | + + + + + + + + + + + + + + + | FOUND=1 break fi done SMALL=0 # Check whether --enable-small or --disable-small was given. if test "${enable_small+set}" = set; then enableval="$enable_small" case $enableval in yes) SMALL=1 ;; esac fi; if test $SMALL = 0; then # Check whether --with-libopennet or --without-libopennet was given. if test "${with_libopennet+set}" = set; then withval="$with_libopennet" # Specified LIBSPEC=$withval |
︙ | |||
15706 15707 15708 15709 15710 15711 15712 | 15726 15727 15728 15729 15730 15731 15732 15733 15734 15735 15736 15737 15738 15739 15740 | - + | cat >>confdefs.h <<\_ACEOF #define HAVE_LIBOPENNET 1 _ACEOF fi LDFLAGS="$LDFLAGS $LIBSPECFLAGS" |
︙ | |||
15730 15731 15732 15733 15734 15735 15736 15737 15738 15739 15740 15741 15742 15743 | 15750 15751 15752 15753 15754 15755 15756 15757 15758 15759 15760 15761 15762 15763 15764 15765 15766 15767 15768 15769 15770 15771 | + + + + + + + + | echo "$as_me: error: Could not find libopennet" >&2;} { (exit 1); exit 1; }; } fi ;; esac else cat >>confdefs.h <<\_ACEOF #define ENABLE_SMALL 1 _ACEOF fi for ac_header in windows.h windowsx.h do |
︙ | |||
16334 16335 16336 16337 16338 16339 16340 | 16362 16363 16364 16365 16366 16367 16368 16369 16370 16371 16372 16373 16374 16375 16376 16377 16378 16379 16380 16381 16382 16383 16384 16385 16386 16387 16388 16389 16390 16391 16392 16393 16394 16395 16396 16397 16398 16399 16400 16401 16402 16403 16404 16405 16406 16407 16408 16409 16410 16411 16412 16413 16414 16415 16416 16417 16418 16419 16420 16421 16422 16423 16424 16425 16426 16427 16428 16429 16430 16431 16432 16433 16434 16435 16436 16437 16438 16439 16440 16441 16442 16443 16444 16445 16446 16447 16448 16449 16450 16451 16452 16453 16454 16455 16456 16457 16458 16459 16460 16461 16462 16463 16464 16465 16466 16467 16468 16469 16470 16471 16472 16473 16474 16475 16476 16477 16478 16479 16480 16481 16482 16483 16484 16485 16486 16487 16488 16489 16490 16491 16492 16493 16494 16495 16496 16497 16498 16499 16500 16501 16502 16503 16504 16505 16506 16507 16508 16509 16510 16511 16512 16513 16514 16515 16516 16517 16518 16519 16520 16521 16522 16523 16524 16525 16526 16527 16528 16529 16530 16531 16532 16533 16534 16535 16536 16537 16538 16539 16540 16541 16542 16543 16544 16545 16546 16547 16548 16549 16550 16551 16552 16553 16554 16555 16556 16557 16558 16559 16560 16561 16562 16563 16564 16565 16566 16567 16568 16569 | + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + - + - + + + + + + + + + + + + + + + + + + + + + + + + + | else echo "$as_me: failed program was:" >&5 sed 's/^/| /' conftest.$ac_ext >&5 LDFLAGS="$OLD_LDFLAGS" OLD_LDFLAGS="$LDFLAGS" SHOBJFLAGS="" LDFLAGS="$OLD_LDFLAGS -fPIC -DPIC -Wl,-dynamiclib -Wl,-flat_namespace -Wl,-undefined,suppress -Wl,-bind_at_load" cat >conftest.$ac_ext <<_ACEOF /* confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ #include <stdio.h> int unrestst(void); int main () { printf("okay\n"); unrestst(); return(0); ; return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 (eval $ac_link) 2>conftest.er1 ac_status=$? grep -v '^ *+' conftest.er1 >conftest.err rm -f conftest.er1 cat conftest.err >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); } && { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); }; } && { ac_try='test -s conftest$ac_exeext' { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); }; }; then SHOBJFLAGS="-fPIC -DPIC"; SHOBJLDFLAGS="-Wl,-dynamiclib -Wl,-flat_namespace -Wl,-undefined,suppress -Wl,-bind_at_load" else echo "$as_me: failed program was:" >&5 sed 's/^/| /' conftest.$ac_ext >&5 LDFLAGS="$OLD_LDFLAGS" OLD_LDFLAGS="$LDFLAGS" SHOBJFLAGS="" LDFLAGS="$OLD_LDFLAGS -fPIC -DPIC -dynamic -flat_namespace -undefined suppress" cat >conftest.$ac_ext <<_ACEOF /* confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ #include <stdio.h> int unrestst(void); int main () { printf("okay\n"); unrestst(); return(0); ; return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 (eval $ac_link) 2>conftest.er1 ac_status=$? grep -v '^ *+' conftest.er1 >conftest.err rm -f conftest.er1 cat conftest.err >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); } && { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); }; } && { ac_try='test -s conftest$ac_exeext' { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); }; }; then SHOBJFLAGS="-fPIC -DPIC"; SHOBJLDFLAGS="-dynamic -flat_namespace -undefined suppress" else echo "$as_me: failed program was:" >&5 sed 's/^/| /' conftest.$ac_ext >&5 LDFLAGS="$OLD_LDFLAGS" OLD_LDFLAGS="$LDFLAGS" SHOBJFLAGS="" LDFLAGS="$OLD_LDFLAGS -fPIC -DPIC -dynamic" cat >conftest.$ac_ext <<_ACEOF /* confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ #include <stdio.h> int unrestst(void); int main () { printf("okay\n"); unrestst(); return(0); ; return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 (eval $ac_link) 2>conftest.er1 ac_status=$? grep -v '^ *+' conftest.er1 >conftest.err rm -f conftest.er1 cat conftest.err >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); } && { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); }; } && { ac_try='test -s conftest$ac_exeext' { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); }; }; then SHOBJFLAGS="-fPIC -DPIC"; SHOBJLDFLAGS="-dynamic" else echo "$as_me: failed program was:" >&5 sed 's/^/| /' conftest.$ac_ext >&5 LDFLAGS="$OLD_LDFLAGS" |
︙ | |||
17231 17232 17233 17234 17235 17236 17237 | 17448 17449 17450 17451 17452 17453 17454 17455 17456 17457 17458 17459 17460 17461 17462 | - + | echo sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX ## Running $as_me. ## _ASBOX } >&5 cat >&5 <<_CSEOF |
︙ | |||
17291 17292 17293 17294 17295 17296 17297 | 17508 17509 17510 17511 17512 17513 17514 17515 17516 17517 17518 17519 17520 17521 17522 | - + | $config_headers Report bugs to <bug-autoconf@gnu.org>." _ACEOF cat >>$CONFIG_STATUS <<_ACEOF ac_cs_version="\\ |
︙ |
Modified configure.ac from [bc16092498] to [ba3548887a].
1 | 1 2 3 4 5 6 7 8 9 | - + | AC_REVISION($Revision $) |
︙ | |||
17 18 19 20 21 22 23 | 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 | + - - + + | DC_DO_TYPE(uint64_t, unsigned, 8) DC_DO_TYPE(int64_t, signed, 8) DC_DO_TYPE(uint32_t, unsigned, 4) DC_DO_TYPE(int32_t, signed, 4) DC_DO_TYPE(uint16_t, unsigned, 2) DC_DO_TYPE(int16_t, signed, 2) dnl This will cause optional libraries to be disabled even if they're |
︙ |
Modified libconfig.c from [0b1fdcb0d0] to [787b35b6d1].
︙ | |||
333 334 335 336 337 338 339 340 341 342 343 344 345 346 | 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 | + | break; } return(-1); } static int lc_process_environment(const char *appname) { #ifndef ENABLE_SMALL struct lc_varhandler_st *handler = NULL; size_t appnamelen = 0; char varnamebuf[128] = {0}; char **currvar; char *sep = NULL, *value = NULL, *cmd = NULL; char *ucase_appname = NULL, *ucase_appname_itr = NULL; char *lastcomponent_handler = NULL; |
︙ | |||
448 449 450 451 452 453 454 455 456 457 458 459 460 461 | 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 | + | break; } } free(ucase_appname); #endif return(0); } static int lc_process_cmdline(int argc, char **argv) { struct lc_varhandler_st *handler = NULL; char *cmdarg = NULL, *cmdoptarg = NULL; char *lastcomponent_handler = NULL; |
︙ |
Modified libconfig.spec from [d5be6e85a0] to [70e507a039].
︙ | |||
10 11 12 13 14 15 16 | 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 | - + | Vendor: Keene Enterprises Packager: Roy Keene <libconfig@rkeene.org> %description libconfig is common configuration file parsing library. %prep |
︙ |